/*
 * Created on Sep 8, 2007
 * 
 * Copyright 2005 CafeSip.org 
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *	http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 */
package org.cafesip.gwtcomp.client;

/**
 * @author Amit Chatterjee
 *
 */
public class GWTComponentsException extends RuntimeException
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 1L;

    /**
     *  A constructor for this class.
     * 
     */
    public GWTComponentsException()
    {
        super();
    }

    /**
     *  A constructor for this class.
     * 
     *  @param arg0
     *  @param arg1
     */
    public GWTComponentsException(String arg0, Throwable arg1)
    {
        super(arg0, arg1);
    }

    /**
     *  A constructor for this class.
     * 
     *  @param arg0
     */
    public GWTComponentsException(String arg0)
    {
        super(arg0);
    }

    /**
     *  A constructor for this class.
     * 
     *  @param arg0
     */
    public GWTComponentsException(Throwable arg0)
    {
        super(arg0);
    }

}
