/*
 * Created on Sep 2, 2006
 * 
 * Copyright 2005 CafeSip.org 
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *	http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 */
package org.cafesip.gwtcomp.client.helpers;

/**
 * @author Amit Chatterjee
 *
 */
public class DraggableElement
{
    private String name;
    private String clazz;
    
    /**
     *  A constructor for this class.
     * 
     */
    public DraggableElement(String name, String clazz)
    {
        this.name = name;
        this.clazz = clazz;
    }

    /**
     * @return Returns the clazz.
     */
    public String getClazz()
    {
        return clazz;
    }

    /**
     * @param clazz The clazz to set.
     */
    public void setClazz(String clazz)
    {
        this.clazz = clazz;
    }

    /**
     * @return Returns the name.
     */
    public String getName()
    {
        return name;
    }

    /**
     * @param name The name to set.
     */
    public void setName(String name)
    {
        this.name = name;
    }

}
